org.ajax4jsf.renderkit.html.scripts

## Class QueueScriptResourceRenderer

- java.lang.Object
- - org.ajax4jsf.resource.BaseResourceRenderer
  - - org.ajax4jsf.renderkit.html.scripts.QueueScriptResourceRenderer

- All Implemented Interfaces:
    org.ajax4jsf.resource.ResourceRenderer

      public class QueueScriptResourceRenderer
      extends org.ajax4jsf.resource.BaseResourceRenderer

  Since:
    3.3.0
  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `QUEUE_SCRIPT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueScriptResourceRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customEncode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)`
    `protected void` | `doEncode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data, java.util.Map<java.lang.String,java.lang.Object> attributes)`
    `void` | `encode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)`
    `void` | `encode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data, java.util.Map<java.lang.String,java.lang.Object> attributes)`
    `protected java.lang.String[][]` | `getCommonAttrs()`
    `java.lang.String` | `getContentType()`
    `protected java.lang.String` | `getHrefAttr()`
    `protected java.lang.String` | `getTag()`

    - ### Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer

      `encodeBegin, encodeEnd, getData, requireFacesContext, send, sendStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUEUE_SCRIPT_ID

          public static final java.lang.String QUEUE_SCRIPT_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueueScriptResourceRenderer

          public QueueScriptResourceRenderer()

  - ### Method Detail

    - #### customEncode

          protected void customEncode(org.ajax4jsf.resource.InternetResource resource,
                          javax.faces.context.FacesContext context,
                          java.lang.Object data)
                               throws java.io.IOException

      Overrides:
        `customEncode` in class `org.ajax4jsf.resource.BaseResourceRenderer`
      Throws:
        `java.io.IOException`

    - #### doEncode

          protected void doEncode(org.ajax4jsf.resource.InternetResource resource,
                      javax.faces.context.FacesContext context,
                      java.lang.Object data,
                      java.util.Map<java.lang.String,java.lang.Object> attributes)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encode

          public void encode(org.ajax4jsf.resource.InternetResource resource,
                    javax.faces.context.FacesContext context,
                    java.lang.Object data,
                    java.util.Map<java.lang.String,java.lang.Object> attributes)
                      throws java.io.IOException

      Specified by:
        `encode` in interface `org.ajax4jsf.resource.ResourceRenderer`
      Overrides:
        `encode` in class `org.ajax4jsf.resource.BaseResourceRenderer`
      Throws:
        `java.io.IOException`

    - #### encode

          public void encode(org.ajax4jsf.resource.InternetResource resource,
                    javax.faces.context.FacesContext context,
                    java.lang.Object data)
                      throws java.io.IOException

      Specified by:
        `encode` in interface `org.ajax4jsf.resource.ResourceRenderer`
      Overrides:
        `encode` in class `org.ajax4jsf.resource.BaseResourceRenderer`
      Throws:
        `java.io.IOException`

    - #### getCommonAttrs

          protected java.lang.String[][] getCommonAttrs()

      Specified by:
        `getCommonAttrs` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getHrefAttr

          protected java.lang.String getHrefAttr()

      Specified by:
        `getHrefAttr` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getTag

          protected java.lang.String getTag()

      Specified by:
        `getTag` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getContentType

          public java.lang.String getContentType()

Copyright © 2013. All Rights Reserved.